Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454951 - avc when plugging in iPod, relating to mono / podsleuth
Summary: avc when plugging in iPod, relating to mono / podsleuth
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 00:29 UTC by David Nielsen
Modified: 2008-07-17 20:46 UTC (History)
0 users

Fixed In Version: selinux-policy-3.3.1-78.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-17 20:46:03 UTC


Attachments (Terms of Use)

Description David Nielsen 2008-07-11 00:29:48 UTC
Description of problem:

host=dawkins type=AVC msg=audit(1215735663.616:146): avc:  denied  { search }
for  pid=15856 comm="mono" name="root" dev=dm-1 ino=229377
scontext=system_u:system_r:podsleuth_t:s0
tcontext=system_u:object_r:admin_home_t:s0 tclass=dir

host=dawkins type=SYSCALL msg=audit(1215735663.616:146): arch=c000003e syscall=2
success=no exit=-2 a0=1bd7c30 a1=0 a2=0 a3=2f62696c726f6373 items=0 ppid=15853
pid=15856 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0
fsgid=0 tty=(none) ses=4294967295 comm="mono" exe="/usr/bin/mono"
subj=system_u:system_r:podsleuth_t:s0 key=(null)

host=dawkins type=AVC msg=audit(1215735662.892:145): avc:  denied  { search }
for  pid=15853 comm="hal-podsleuth" name="nscd" dev=dm-1 ino=360450
scontext=system_u:system_r:podsleuth_t:s0
tcontext=system_u:object_r:nscd_var_run_t:s0 tclass=dir

host=dawkins type=SYSCALL msg=audit(1215735662.892:145): arch=c000003e
syscall=42 success=no exit=-2 a0=3 a1=7fffc239ed30 a2=6e a3=e36a70 items=0
ppid=2243 pid=15853 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0
sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="hal-podsleuth" exe="/bin/bash"
subj=system_u:system_r:podsleuth_t:s0 key=(null)

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.3.1-74.fc9.noarch

How reproducible:
100%

Steps to Reproduce:
1. yum install podsleuth
2. plug iPod
  
Actual results:
Watch SELinux complain it's little head off.

Expected results:
Joyful continued use of my 299$ DRM trap

Additional info:

Comment 1 Daniel Walsh 2008-07-14 13:42:22 UTC
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Fixed in selinux-policy-3.3.1-78.fc9.noarch

Comment 2 David Nielsen 2008-07-17 20:46:03 UTC
appears fixed


Note You need to log in before you can comment on or make changes to this bug.